import java.util.Scanner;

// Dividir o peso entre pessoas de forma a carregar a maior quantidade de itens possivel

public class Carregamento {
	
	public static int[] pesos;
	public static int[] forca;
	public static boolean[] itemCarregado;
	public static boolean[][] itemCarregadoPorPessoa;
	
	public static void main(String[] args) {
		
		Scanner sc = new Scanner (System.in);
		
		// Recebe e executa cada caso de teste
		for (int n = sc.nextInt(); n > 0; n--) {
			
			// Pega a quantidade de itens
			int quantidade = sc.nextInt();
			pesos = new int[quantidade];
			
			// Atribui o peso de cada item
			for (int i = 0; i < quantidade; i++)
				pesos[i] = sc.nextInt();
			
			// Pega a quantidade de pessoas
			int numeroDePessoas = sc.nextInt();
			forca = new int[numeroDePessoas];
			
			// Atribui a forca de cada pessoa
			for (int i = 0; i < numeroDePessoas; i++)
				forca[i] = sc.nextInt();
			
			// Executa a resolucao
			executar();
		}
		
		sc.close();
		
	}
	
	public static void executar () {
		
		// Uma estrutura para verificar se o item ja esta sendo carregado por alguem
		itemCarregado = new boolean[pesos.length];
		// Uma estrutura para verificar quem esta carregando cada item
		itemCarregadoPorPessoa = new boolean[pesos.length][forca.length];
		
		// Uso o metodo 'atribuiTodosOsItens' apra verificar se eh possivel distribuir tudo
		// E por fim informa a resposta
		if (atribuiTodosOsItens())
			System.out.println("Foi possivel carregar todos os itens");
		else
			System.out.println("Nao foi possivel carregar todos os itens");
		
	}
	
	public static boolean atribuiTodosOsItens () {
		
		// Verifico se tem itens sobrando
		if (acabouItens())
			// Se todos acabaram, entao consegui atribuir todos os itens
			return true;
		
		// Caso contrario, vou tentar atribuir os itens que faltam		
		for (int i = 0; i < pesos.length; i++) {
			
			// Os itens que estao sendo carregados nao me interessam
			if (itemCarregado[i])
				continue;
			
			// Se encontrei um item que nao esta sendo carregando
			// Tento entreg-lo para algum			
			for (int j = 0; j < forca.length; j++) {
				
				// Se a pessoa nao tem forca para carregar o item, verifico a proxima
				if (forca[j] < pesos[i])
					continue;
				
				// Ao encontrar alguem que consiga carrega-lo, atribuo o item para a pessoa				
				itemCarregado[i] = true;
				itemCarregadoPorPessoa[i][j] = true;
				forca[j] -= pesos[i];
				
				// Verifico na proxima iteracao se todos os itens foram entregues
				// E tentarei entregar o restante dos itens para as pessoas
				if (atribuiTodosOsItens())
					// Se consegui foram entregues, eu retorno que ja atribui todos os itens
					return true;				
				
				// Caso contrario, vou tentar entregar esse item para outra pessoa
				// Ento retiro a atribuio do item da pessoa atual
				itemCarregado[i] = false;
				itemCarregadoPorPessoa[i][j] = false;
				forca[j] += pesos[i];
				
			}
		}
		
		// Nesse ponto, nada mudou desde o comeco (as mudancas e atribuicoes foram desfeitas durante o algoritmo)
		// Entao, se no comeo eu no tinha todos os itens atribuidos, aqui tambem nao tenho
		// Retorno que nao consegui atribuir todos os itens
		return false;
		
	}
	
	// Verifica se todos os itens estao sendo carregados
	public static boolean acabouItens() {
		// Para cada um dos itens, verifico se ele esta sendo carregado
		for (int i = 0; i < itemCarregado.length; i++)
			// Se algum item nao estiver sendo carregando, informe a situacao
			if (!itemCarregado[i])
				return false;

		// Se nao encontrei nenhum item que nao esta sendo carregado
		// Entao todos estao sendo carregados, informe a situacao
		return true;
	}
}
